## Copyright (C) 1998 Ariel Tankus
## 
## This program is free software.
## This file is part of the Image Processing Toolbox for Octave
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##

## readjpg	Read a JPEG image file into a gray-level image in Octave.
##
##		im = readgrayjpg(fname)
##		fname - JPEG filename.
##		im    - image values as Octave variable.
##

## Author: Ariel Tankus <arielt@math.tau.ac.il>
## Created: 27.6.98.
## Version: 1.0

function im = readgrayjpg(fname)

  command = sprintf('djpeg -pnm -greyscale %s', fname);
  fid = popen(command, 'r');
  im = readpnm(fid);

endfunction
