## Copyright (C) 1998 Ariel Tankus
## 
## This program is free software.
## This file is part of the Image Processing Toolbox for Octave
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##

## writegrayjpg   Write a gray-level image to a file in JPEG format.
##                Image values are scaled to [0,255].
##
##		 writegrayjpg(fname, im)
##		 fname - file name.
##		 im    - image to write into the file.
##
##                See also: writejpg, writepgm, writeppm.
##

## Author: Ariel Tankus <arielt@math.tau.ac.il>
## Created: 27.6.98.
## Version: 1.0

function writegrayjpg(fname, im)

  command = sprintf('cjpeg -greyscale -outfile %s', fname);
  fid = popen(command, 'w');
  writepgm(fid, im);
  fclose(fid);

endfunction
