## Copyright (C) 1998 Ariel Tankus
## 
## This program is free software.
## This file is part of the Image Processing Toolbox for Octave
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##

## writepnm  Write an image into a file in either PGM or PPM format.
##
##           writepnm(fid, im, isPpm)
##           fid - file ID. File should be opened before calling 
##                 writeppm, and closed afterwards.
##           im  - image to write into file.
##           isPpm - 0 - if requested format is PGM,
##                   1 - if requested format is PPM.
##                   The image `im' should be given in the appropriate
##                   format.
##

## Author: Ariel Tankus <arielt@math.tau.ac.il>
## Created: 22.9.98.
## Version: 1.0

function writepnm(fname, im, isPpm)

  if (~isPpm)
    writepgm(fname, im);
  else
    writeppm(fname, im);
  end

endfunction
