% adj    The adjacent matrix.  The adjacent matrix of matrix A is the
%        transpose of its cofactor matrix.
%
%        adj_mat = adj(A)
%        A       - nxn - square matrix.
%        adj_mat - nxn - adjacent matrix of A.
%
%        Reference: Theory and Problems of Linear Algebra / Seymour
%        Lipschuts, Schaum's Outline Series, Mc-Graw-Hill inc.,
%        1973.
%
%        See also: cofactor, inv, det.
%

% Author: Ariel Tankus.
% Created: 14.11.98.

function adj_mat = adj(A)

adj_mat = cofactor(A)';