## Copyright (C) 1998 Ariel Tankus
## 
## This file is part of Octave.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##

## addpath    Add a new directory (or list of directories) to the
##            LOADPATH.  The directories are added before the existing
##            path. If the current working directory was first in the
##            LOADPATH, it remains first in the LOADPATH following the
##            `addpath'.
##
##            addpath(newPath)
##            newPath - string representing path, in LOADPATH format.
##
##            See also: LOADPATH.
##

## Author: Ariel Tankus <arielt@math.tau.ac.il>
## Created: 15.8.98
## Version: 1.0

function addpath(newPath)

  cwdIsFirst = 0;
  if (LOADPATH(1) == '.')

    ## ensure current working dir is first in LOADPATH
    if (length(LOADPATH) == 1)
      LOADPATH = '';                              # remove '.'
      cwdIsFirst = 1;
    elseif (LOADPATH(2) == ':')
      LOADPATH = LOADPATH(3:length(LOADPATH));    # remove '.:'
      cwdIsFirst = 1;
    end
  end
  
  LOADPATH = strcat(newPath, ':', LOADPATH);

  if (cwdIsFirst == 1)
    LOADPATH = strcat('.:', LOADPATH);
  end

endfunction
