## Copyright (C) 1998 Ariel Tankus
## 
## This file is part of Octave.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##

## unpathname    Removes path specification from full file name.
##               Returns only base filename.
##

## Author: Ariel Tankus <arielt@math.tau.ac.il>
## Created: 5.2.98.
## Version: 1.0

function b = unpathname(fname)

  places = findstr(fname, '/');

  if length(places) == 0
    ## no '/' found
    b = fname;
    return
  end

  places = places(length(places));	# last occurance
  b = fname((places+1):length(fname));

endfunction
